# `ngSwipeRight` ( directive in module `ngMobile` )

## Description

Specify custom behavior when an element is swiped to the right on a touchscreen device. A rightward swipe is a quick, left-to-right slide of the finger. Though ngSwipeRight is designed for touch-based devices, it will work with a mouse click and drag too.

## Usage

as attribute

    <ANY ng-swipe-right="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-swipe-right: {expression};">
       ...
    </ANY>

### Parameters

- `ngSwipeRight – {expression} –`

  Expression to evaluate upon right swipe. (Event object is available as `$event` )

## Example

#### Source

#### Demo